comedi_get_buffer_write_count
Prev | 5.4.2. Asynchronous commands | Next

## Name

comedi_get_buffer_write_count — streaming buffer write count

## Synopsis

    #include <comedilib.h>

`int comedi_get_buffer_write_count(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int * write_count`)`;

## Description

The function `comedi_get_buffer_write_count` is used on a subdevice that has a Comedi command in progress to get the number of bytes that have been written to the buffer, modulo `UINT_MAX` + `1`. The value is stored in `*`write_count``.

## Return value

On success, `0` is returned. On failure, `-1` is returned.

Prev | Up | Next
comedi_get_buffer_read_count | Home | comedi_get_buffer_size